Bug 125308 - checkpolicy is missing a dependency
checkpolicy is missing a dependency
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: checkpolicy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-04 12:44 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-22 18:51:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-06-04 12:44:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
checkpolicy is missing a dependency for flex:

--- working/checkpolicy/checkpolicy.spec        2004-05-21
09:15:01.000000000 -0400
+++ /opt/specs/checkpolicy.spec 2004-05-29 21:53:05.000000000 -0400
@@ -7,7 +7,7 @@
 Source: http://www.nsa.gov/selinux/archives/checkpolicy-%{version}.tgz
 Prefix: %{_prefix}
 BuildRoot: %{_tmppath}/%{name}-buildroot
-BuildRequires: byacc
+BuildRequires: byacc, flex
                                                                     
          
 %description
 Security-enhanced Linux is a patch of the Linux® kernel and a number

Version-Release number of selected component (if applicable):
checkpolicy-1.10-2

How reproducible:
Always

Steps to Reproduce:
1. rpm -e --nodeps flex
2. rpmbuild -bb /usr/src/redhat/SPECS/checkpolicy.spec

Additional info:
Comment 1 Daniel Walsh 2004-06-09 14:40:32 EDT
Fixed in checkpolicy-1.10-3.src.rpm

Note You need to log in before you can comment on or make changes to this bug.